import request from '@/utils/request'

//获取动态验证码
export function GetCheckCode (params) {
    return request({
        url: '/api/fs4a/GetCheckCode/v1',
        method: 'post',
        islogin: true,
        data: params
    })
}

//获取动态验证码
export function GetSSOCheckCode (params) {
    return request({
        url: '/api/fs4a/GetSSOCheckCode/v1',
        method: 'post',
        data: params
    })
}

//登录
export function login (params) {
    return request({
        url: '/api/fs4a/Login/v1',
        method: 'post',
        data: params,
        islogin: true,
        msg: '登录',
        headers:{
          "LoginName":params.LoginName
        }
    })
}

//登出
export function loginUp (params) {
    return request({
        url: '/api/fs4a/Logout/v1',
        method: 'post',
        data: params,
        msg: '退出登录'
    })
}

//忘记密码
export function changePassword (params) {
    return request({
        url: '/api/fs4a/ForgetPwd/v1',
        method: 'post',
        data: params
    })
}

//权限获取
export function permission (params) {
    return request({
        url: '/api/fs4a/GetAuth/v1',
        method: 'post',
        data: params
    })
}

//token
export function getToken (params) {
    return request({
        url: '/api/4A/GetToken',
        method: 'post',
        data: params,
        istoken: true
    })
}

export function loginGetToken (params) {
    return request({
        url: '/api/4A/LoginGetToken',
        method: 'post',
        data: params
    })
}

export function externalSSO(config) {
  return request({
    ...config,
    msg: '外部系统登录'
  })
}
