import Layout from '@/layout'

const gatewayRoutes = {
  path: '/gateway',
  component: Layout,
  meta: { title: 'API网关', roles: ['gateway'] },
  children: [{
    path: '/gateway',
    name: 'Gateway',
    component: () => import('@/views/gateway/index'),
    redirect: '/gateway/interface',
    meta: { title: 'API网关', icon: 'dashboard', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' },
    children: [
      {
        path: '/gateway/interface',
        name: 'GatewayInterface',
        component: () => import('@/views/gateway/interface'),
        meta: { title: '接口配置' }
      },
      {
        path: '/gateway/interface-add',
        name: 'GateWayInterfaceAdd',
        component: () => import('@/views/gateway/interface-add'),
        meta: { title: '新增接口配置', withoutNav: true }
      },
      {
        path: '/gateway/limit',
        name: 'GatewayLimit',
        component: () => import('@/views/gateway/limit'),
        meta: { title: '限流配置' }
      },
      {
        path: '/gateway/circuit-break',
        name: 'GatewayCircuitBreak',
        component: () => import('@/views/gateway/circuit-break'),
        meta: { title: '熔断配置' }
      },
      {
        path: '/gateway/document',
        name: 'GatewayDocument',
        component: () => import('@/views/gateway/document'),
        meta: { title: 'API文档' }
      }
    ]
  }]
}

export default [gatewayRoutes]